import { AccessControllerConfig, AccessDeviceConfig } from "unifi-access";
export interface AccessOptions {
    controllers: AccessControllerOptions[];
    debugAll: boolean;
    options: string[];
    ringDelay: number;
}
export interface AccessControllerOptions {
    address: string;
    mqttTopic: string;
    mqttUrl: string;
    name: string;
    username: string;
    password: string;
}
export declare const featureOptionCategories: {
    description: string;
    modelKey: string[];
    name: string;
}[];
export declare const featureOptions: {
    [index: string]: FeatureOption[];
};
export interface FeatureOption {
    default: boolean;
    defaultValue?: number | string;
    description: string;
    group?: string;
    hasFeature?: string[];
    hasProperty?: string[];
    hasSmartObjectType?: string[];
    modelKey?: string[];
    name: string;
}
export declare function isOptionEnabled(configOptions: string[], controller: AccessControllerConfig | null, device: AccessControllerConfig | AccessDeviceConfig | null, option?: string, defaultReturnValue?: boolean): boolean;
export declare function getOptionValue(configOptions: string[], controller: AccessControllerConfig | null, device: AccessControllerConfig | AccessDeviceConfig | null, option: string): string | undefined;
export declare function getOptionFloat(optionValue: string | undefined): number | undefined;
export declare function getOptionNumber(optionValue: string | undefined): number | undefined;
